# EPClock
ESP8226 Arduino based ePaper clock, using NTP and showing the weather.

Using a Waveshare 4.3" UART module and an ESP8226 R1 Mini from Jaycar Australia, which is a D1 Mini in the Arduino program.

The ESP8266 doesn't really have enough RAM to be able to parse the XML available from the Autralian Bureau of Meteorology, so the bom_xml.py script does that and spits out some simplified json I've put that json on my home web server, and set the script to run hourly.  


## Required Libraries

Timezone: [https://github.com/JChristensen/Timezone]()

NTPClient: [https://github.com/arduino-libraries/NTPClient]()

AltSoftSerial [https://github.com/PaulStoffregen/AltSoftSerial]()

ArduinoJson [https://github.com/bblanchon/ArduinoJson.git]()

## Connections

* WakeUp -> D7
* Reset - D8
* DOUT -> D5
* DIN -> D6

## Creating Images for each digit

Use  Images/create_images.py edit for font choice! The current images are in FreeMono.

## Weather Icons

I have derived some from the Australian Bureau of Meteorology, Feel free to use those, or make some better ones!